
Infrastructure - Task #4218

Story # 3736 (Rejected): CN Consistency Check and CN Recovery

Audit Job Message Listener Implementation

2014-01-07 18:18 - Skye Roseboom

Status: Rejected Start date: 2014-01-07

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Create a class that responds to audit signals and creates and invokes the appropriate audit processing strategy.   

May need to interface with work flow state for updates to state, and to confirm current/next state are valid.

May need to signal on same/different topic of exception conditions (and also success signals?).

History

#1 - 2014-01-07 18:19 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-01-13 16:59 - Skye Roseboom

- Status changed from In Progress to Testing

Created finer grain audit message processor handling.

AuditMessageProcessorManager wraps an AuditMessageProcessorExecutorService instance.  Encapsulation of a time scheduled execution service

for handling audit messages.  Removes single threaded message handling which is default of hz topic listening.

In testing.

#3 - 2014-03-14 17:43 - Robert Waltz

- Target version deleted (2014.2-Block.1.1)

#4 - 2014-07-30 17:52 - Skye Roseboom

- Status changed from Testing to In Progress

#5 - 2014-07-30 17:52 - Skye Roseboom

- Status changed from In Progress to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Dev effort for this component shifted to cn-tidy - rejecting this work.
